import { get, put, post, deletes } from '@/http/index'

// 查询保障规则列表
export const getSafeRule = async (data) => {
  return await get('/als/safeRule/list', data)
}

// 新增保障规则
export const addSafeRule = async (data) => {
  return await post('/als/safeRule', data)
}

// 修改保障规则
export const updateSafeRule = async (data) => {
  return await put('/als/safeRule', data)
}

// 删除保障规则
export const removeSafeRule = async (id) => {
  return await deletes('/als/safeRule/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
